Table of Contents

## Name

magictouch - MagicTouch input driver

## Synopsis

Section "InputDevice"
Identifier "idevname"
Driver "MagicTouch"
Option "Device" "devpath"
...
EndSection

## Description

MagicTouch is an XFree86 input driver for MagicTouch ProE-X controller...

The MagicTouch driver functions as a pointer input device, and may be used as the X server's core pointer.

## Supported Hardware

It currently supports the ProE-X resistive touchscreen serial (rs232) interface and touchscreens made by Keytec, Inc (MagicTouch)

## Configuration Details

Please refer to XF86Config(5) for general configuration details and for options that can be used with all input drivers. This section only covers configuration details specific to this driver.

The following driver Options are supported:

Option "Device" "devpath"
  Specify the device path for the magictouch. Valid devices are:

/dev/ttyS0, /dev/ttyS1, .... This option is mandatory.

It's important to specify the right device Note: com1 -> /dev/ttyS0, com2 -> /dev/ttyS1 ....

Option "ScreenNumber" "screennumber"
  sets the screennumber for the magictouch InputDevice.

Default: ScreenNumber: "0"

Option "MinX, MinY" "value"
  These are the minimum X and Y values for the magictouch input device.

Note: MinX, MinY must be less than MaxX, MaxY.

Range: "0" - "32767"

Default: MinX: "0" MinY: "0"

Option "MaxX, MaxY" "value"
  These are the maximum X and Y values for the magictouch input device.

Note: MaxX, MaxY must be greater than MinX, MinY.

Range: "0" - "32767"

Default: MaxX: "16384" MaxY: "16384"

## See Also

XFree86(1) , XF86Config(5) , xf86config(1) , Xserver(1) , X(7) .

## Authors

Authors include...

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors